Subject: Re: [net-next PATCH] net: sfp: add quirk for Fiberstone GPON-ONU-34-20BI

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 27 Sep 2023 10:51:17 +0100

On Thu, Sep 21, 2023 at 04:40:45PM +0200, Paolo Abeni wrote:
> Hi Russel,
> 
> On Tue, 2023-09-19 at 14:40 +0100, Russell King (Oracle) wrote:
> > On Tue, Sep 19, 2023 at 02:47:20PM +0200, Christian Marangi wrote:
> > > Fiberstone GPON-ONU-34-20B can operate at 2500base-X, but report 1.2GBd
> > > NRZ in their EEPROM.
> > > 
> > > The module also require the ignore tx fault fixup similar to Huawei MA5671A
> > > as it gets disabled on error messages with serial redirection enabled.
> > 
> > I'll send you shortly a different approach for the "ignore tx fault"
> > thing that I'd like you to test please.
> 
> Said patch is not blocking this one, am I correct?

Correct, but Christian has not responded in any way despite me sending
him the patch that I'd like tested, which is very disappointing.

This is what I fear - that merging his patch removes the incentive to
test my patch. Oh well, I guess I will just send my patch that I can't
test to be merged anyway, and to hell with it. If it breaks this and
other modules, I'm sure someone will eventually send a report about
that.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!